function  [N_Img]=Simulate_Img(O_Img, nSig, Sigma_FPN)

rng('default');
% randperm('seed', 0);
[m,n] = size(O_Img);
FPN  = zeros(m,n);
% FPN(:,randperm(m,floor(n/4))) = repmat(sign(randn(1,n/4))*Sigma_FPN,m,1) + 2 * repmat(randn(1,floor(n/4)),m,1);

FPN(:,1:4:end) =  repmat(sign(randn(1,ceil(n/4)))*Sigma_FPN,m,1) + 2 * repmat(randn(1,ceil(n/4)),m,1);
%     FPN =  Sigma_FPN*repmat(randn(1,n),m,1);
RND =  nSig*randn(m,n);
N_Img = O_Img  + RND + FPN;
